AgentConnect
Crons

Set cron sharing

Set a schedule’s visibility (Everyone vs Selected) and complete Selected audience. Requires edit rights; Selected must retain at least one current organization member, and sharedWith is intersected with current membership.

PUT
/v1/orgs/{orgId}/crons/{id}/sharing

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/orgs/string/crons/string/sharing" \  -H "Content-Type: application/json" \  -d '{    "visibility": "org"  }'
{  "id": "string",  "orgId": "string",  "agentId": "string",  "name": "string",  "schedule": "string",  "timezone": "string",  "targetPlatform": "slack",  "targetChannel": "string",  "targetIntegrationId": "string",  "trigger": "string",  "enabled": true,  "lastRunAt": "string",  "createdBy": "string",  "createdAt": "string",  "lastModifiedBy": "string",  "lastModifiedAt": "string",  "visibility": "org",  "sharedWith": [    "string"  ],  "canEdit": true,  "canManageSharing": true}